package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBCity entity.
 */
public class TBCityDTO implements Serializable {

    private Long id;

    private String name;

    private Long tbCountryId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getTbCountryId() {
        return tbCountryId;
    }

    public void setTbCountryId(Long tBCountryId) {
        this.tbCountryId = tBCountryId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBCityDTO tBCityDTO = (TBCityDTO) o;
        if (tBCityDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBCityDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBCityDTO{" +
            "id=" + getId() +
            ", name='" + getName() + "'" +
            ", tbCountry=" + getTbCountryId() +
            "}";
    }
}
